package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "RiwayatPenghargaan_T")
public class RiwayatPenghargaan extends BaseTransaction{
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectJenisPenghargaanFk")
	@Caption(value="Jenis Penghargaan")
	private JenisPenghargaan jenisPenghargaan;
	
	@Column(name = "ObjectJenisPenghargaanFk", insertable=false,updatable=false, nullable = true)
	private Integer jenisPenghargaanId;
	
	@Column(name = "NamaPenghargaan", nullable = true)
	@Caption(value="Nama Penghargaan")
	private String namaPenghargaan;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectInstansiPelaksanaFk")
	@Caption(value="Instansi Pelaksana")
	private InstansiPelaksana instansiPelaksana;
	
	@Column(name = "ObjectInstansiPelaksanaFk", insertable=false,updatable=false, nullable = true)
	private Integer instansiPelaksanaId;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectPegawaiFk")
	@Caption(value="Pegawai")
	private Pegawai pegawai;
	
	@Column(name = "ObjectPegawaiFk", insertable=false,updatable=false, nullable = true)
	private Integer pegawaiId;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectTandaJasaFk")
	@Caption(value="Tanda Jasa")
	private TandaJasa tandaJasa;
	
	@Column(name = "ObjectTandaJasaFk", insertable=false,updatable=false, nullable = true)
	private Integer tandaJasaId;
	
	@Column(name = "Keterangan", nullable = true)
	@Caption(value="Keterangan")
	private String Keterangan;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name = "ObjectJenisDokumenFk")
	@Caption(value="Jenis Dokumen")
	private JenisDokumen jenisDokumen;
	
	@Column(name = "ObjectJenisDokumenFk", insertable=false,updatable=false, nullable = true)
	private Integer jenisDokumenId;
	
	@Column(name = "NoSk", nullable = true)
	@Caption(value="no Sk")
	private String noSk;
	
	@Column(name = "TglSk", nullable = true)
	@Caption(value="Tgl Sk")
	private Date tglSk;
	
	@Column(name = "TtdSk", nullable = true)
	@Caption(value="Ttd Sk")
	private String ttdSk;

	public JenisPenghargaan getJenisPenghargaan() {
		return jenisPenghargaan;
	}

	public void setJenisPenghargaan(JenisPenghargaan jenisPenghargaan) {
		this.jenisPenghargaan = jenisPenghargaan;
	}

	public String getNamaPenghargaan() {
		return namaPenghargaan;
	}

	public void setNamaPenghargaan(String namaPenghargaan) {
		this.namaPenghargaan = namaPenghargaan;
	}

	public InstansiPelaksana getInstansiPelaksana() {
		return instansiPelaksana;
	}

	public void setInstansiPelaksana(InstansiPelaksana instansiPelaksana) {
		this.instansiPelaksana = instansiPelaksana;
	}

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public TandaJasa getTandaJasa() {
		return tandaJasa;
	}

	public void setTandaJasa(TandaJasa tandaJasa) {
		this.tandaJasa = tandaJasa;
	}

	public String getKeterangan() {
		return Keterangan;
	}

	public void setKeterangan(String keterangan) {
		Keterangan = keterangan;
	}

	public JenisDokumen getJenisDokumen() {
		return jenisDokumen;
	}

	public void setJenisDokumen(JenisDokumen jenisDokumen) {
		this.jenisDokumen = jenisDokumen;
	}

	public String getNoSk() {
		return noSk;
	}

	public void setNoSk(String noSk) {
		this.noSk = noSk;
	}

	public Date getTglSk() {
		return tglSk;
	}

	public void setTglSk(Date tglSk) {
		this.tglSk = tglSk;
	}

	public String getTtdSk() {
		return ttdSk;
	}

	public void setTtdSk(String ttdSk) {
		this.ttdSk = ttdSk;
	}
	
	
}
